<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iCelPersistence Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iCelPersistence Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iCelPersistence" --><!-- doxytag: inherits="iBase" -->
<p>This interface describes a module that can persist CEL data.  
 <a href="structiCelPersistence.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="persist_8h_source.html">physicallayer/persist.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iCelPersistence:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiCelPersistence.png" usemap="#iCelPersistence_map" alt=""/>
  <map id="iCelPersistence_map" name="iCelPersistence_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,100,24"/>
</map>
 </div></div>

<p><a href="structiCelPersistence-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelPersistence.html#aa13b5a584d201c2abf8f35094e7a4096">Load</a> (<a class="el" href="structiCelLocalEntitySet.html">iCelLocalEntitySet</a> *set, const char *name)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Load a local entity set.  <a href="#aa13b5a584d201c2abf8f35094e7a4096"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelPersistence.html#a2c302069e57f724c458f977d93fdda67">Load</a> (<a class="el" href="structiCelLocalEntitySet.html">iCelLocalEntitySet</a> *set, <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiFile.html">iFile</a> *file)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Load a local entity set from an <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiFile.html">iFile</a>.  <a href="#a2c302069e57f724c458f977d93fdda67"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelPersistence.html#a208a905d9d78132c4559ccb13c3d7915">Save</a> (<a class="el" href="structiCelLocalEntitySet.html">iCelLocalEntitySet</a> *set, const char *name)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Save a local entity set.  <a href="#a208a905d9d78132c4559ccb13c3d7915"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelPersistence.html#a1c9371cdc6ba76f3106e35f5b7bba358">Save</a> (<a class="el" href="structiCelLocalEntitySet.html">iCelLocalEntitySet</a> *set, <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiFile.html">iFile</a> *file)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Save a local entity set to an <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiFile.html">iFile</a>.  <a href="#a1c9371cdc6ba76f3106e35f5b7bba358"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>This interface describes a module that can persist CEL data. </p>

<p>Definition at line <a class="el" href="persist_8h_source.html#l00348">348</a> of file <a class="el" href="persist_8h_source.html">persist.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="aa13b5a584d201c2abf8f35094e7a4096"></a><!-- doxytag: member="iCelPersistence::Load" ref="aa13b5a584d201c2abf8f35094e7a4096" args="(iCelLocalEntitySet *set, const char *name)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiCelPersistence.html#aa13b5a584d201c2abf8f35094e7a4096">iCelPersistence::Load</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiCelLocalEntitySet.html">iCelLocalEntitySet</a> *&#160;</td>
          <td class="paramname"><em>set</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>name</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Load a local entity set. </p>
<p>'name' is a name relevant for the given type of persistence. It can be a filename for example (VFS). </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">set</td><td>is an empty local entity set that will be filled by this routine. </td></tr>
    <tr><td class="paramname">name</td><td>identifies the saved data. </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>false on error. Reporting will be already done. </dd></dl>

</div>
</div>
<a class="anchor" id="a2c302069e57f724c458f977d93fdda67"></a><!-- doxytag: member="iCelPersistence::Load" ref="a2c302069e57f724c458f977d93fdda67" args="(iCelLocalEntitySet *set, iFile *file)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiCelPersistence.html#aa13b5a584d201c2abf8f35094e7a4096">iCelPersistence::Load</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiCelLocalEntitySet.html">iCelLocalEntitySet</a> *&#160;</td>
          <td class="paramname"><em>set</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiFile.html">iFile</a> *&#160;</td>
          <td class="paramname"><em>file</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Load a local entity set from an <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiFile.html">iFile</a>. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">set</td><td>is an empty local entity set that will be filled by this routine. </td></tr>
    <tr><td class="paramname">file</td><td>the <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiFile.html">iFile</a> to load the entity set from. </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>false on error. Reporting will be already done. </dd></dl>

</div>
</div>
<a class="anchor" id="a208a905d9d78132c4559ccb13c3d7915"></a><!-- doxytag: member="iCelPersistence::Save" ref="a208a905d9d78132c4559ccb13c3d7915" args="(iCelLocalEntitySet *set, const char *name)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiCelPersistence.html#a208a905d9d78132c4559ccb13c3d7915">iCelPersistence::Save</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiCelLocalEntitySet.html">iCelLocalEntitySet</a> *&#160;</td>
          <td class="paramname"><em>set</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>name</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Save a local entity set. </p>
<p>'name' is a name relevant for the given type of persistence. It can be a filename for example (VFS). </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">set</td><td>is a local entity set with entities to be saved. </td></tr>
    <tr><td class="paramname">name</td><td>identifies the saved data. </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>false on error. Reporting will be already done. </dd></dl>

</div>
</div>
<a class="anchor" id="a1c9371cdc6ba76f3106e35f5b7bba358"></a><!-- doxytag: member="iCelPersistence::Save" ref="a1c9371cdc6ba76f3106e35f5b7bba358" args="(iCelLocalEntitySet *set, iFile *file)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiCelPersistence.html#a208a905d9d78132c4559ccb13c3d7915">iCelPersistence::Save</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiCelLocalEntitySet.html">iCelLocalEntitySet</a> *&#160;</td>
          <td class="paramname"><em>set</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiFile.html">iFile</a> *&#160;</td>
          <td class="paramname"><em>file</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Save a local entity set to an <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiFile.html">iFile</a>. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">set</td><td>is a local entity set with entities to be saved. </td></tr>
    <tr><td class="paramname">file</td><td>the <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiFile.html">iFile</a> to save the entity set to. </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>false on error. Reporting will be already done. </dd></dl>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>physicallayer/<a class="el" href="persist_8h_source.html">persist.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
